# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 设备

### 查询设备列表

**请求URL:** device/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
deviceId|Long|否|设备id
deviceName|String|否|设备名称,字段前后添加%%模糊查询
deviceCode|String|否|设备编码,字段前后添加%%模糊查询
deviceSrc|Integer|否|设备来源(0.子设备，1.网关设备，2.直连设备)
deviceStatus|Integer|否|设备状态 (0.未激活，1.离线,2.在线)

**请求样例:**
```
  {
        "deviceId":7528,
        "deviceName":"n5vff2",
        "deviceCode":"gbj6lp",
        "deviceSrc":7385,
        "deviceStatus":5814,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deviceId|Long|设备id
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceMac|String|设备的MAC地址
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteCode|String|站点编号，来源基础服务平台
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;productCode|String|产品编码
&emsp;&emsp;productName|String|产品名称
&emsp;&emsp;deviceSrc|Integer|设备来源(0.子设备，1.网关设备，2.直连设备)
&emsp;&emsp;lon|String|经度
&emsp;&emsp;lati|String|纬度
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;deviceStatus|Integer|设备状态 (0.未激活，1.离线,2.在线)
&emsp;&emsp;deviceRemark|String|备注
&emsp;&emsp;source|Integer|设备来源(0.旧设备，1.新设备)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;deviceSrc|object|字典属性对象，详见附录
&emsp;deviceStatus|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看设备

**请求URL:** device/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看设备，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/device/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;deviceId|Long|设备id
&emsp;deviceName|String|设备名称
&emsp;deviceCode|String|设备编码
&emsp;deviceMac|String|设备的MAC地址
&emsp;siteId|Long|站点Id
&emsp;siteCode|String|站点编号，来源基础服务平台
&emsp;siteName|String|站点名称
&emsp;productCode|String|产品编码
&emsp;productName|String|产品名称
&emsp;deviceSrc|Integer|设备来源(0.子设备，1.网关设备，2.直连设备)
&emsp;lon|String|经度
&emsp;lati|String|纬度
&emsp;leadingOfficial|String|负责人
&emsp;leadingOfficialTelephone|String|联系电话
&emsp;deviceStatus|Integer|设备状态 (0.未激活，1.离线,2.在线)
&emsp;deviceRemark|String|备注
&emsp;source|Integer|设备来源(0.旧设备，1.新设备)
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;deviceSrc|object|字典属性对象，详见附录
&emsp;deviceStatus|object|字典属性对象，详见附录
&emsp;source|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5762,
            "deviceId":1697,
            "deviceName":"xrwy7w",
            "deviceCode":"5du8to",
            "deviceMac":"bmyk3v",
            "siteId":771,
            "siteCode":"esle9q",
            "siteName":"e78cd3",
            "productCode":"a75736",
            "productName":"1wi60t",
            "deviceSrc":1071,
            "lon":"pt1b5u",
            "lati":"rc64he",
            "leadingOfficial":"4kevrv",
            "leadingOfficialTelephone":"qkyrbd",
            "deviceStatus":8041,
            "deviceRemark":"lae2sx",
            "source":9349,
            "createUserId":473,
            "createTime":"2023-02-25",
            "updateUserId":178,
            "updateTime":"2023-02-25"
        }
}
```

### 保存更新设备

**请求URL:** device/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新设备：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
deviceId|Long|否|设备id
deviceName|String|是|设备名称
deviceCode|String|否|设备编码
deviceMac|String|否|设备的MAC地址
siteId|Long|否|站点Id
siteCode|String|否|站点编号，来源基础服务平台
siteName|String|否|站点名称
productCode|String|否|产品编码
productName|String|否|产品名称
deviceSrc|Integer|否|设备来源(0.子设备，1.网关设备，2.直连设备)
lon|String|否|经度
lati|String|否|纬度
leadingOfficial|String|否|负责人
leadingOfficialTelephone|String|否|联系电话
deviceStatus|Integer|否|设备状态 (0.未激活，1.离线,2.在线)
deviceRemark|String|否|备注
source|Integer|否|设备来源(0.旧设备，1.新设备)

**请求样例:**
```
{
    "deviceId":9785,
    "deviceName":"54ngge",
    "deviceCode":"urdjfp",
    "deviceMac":"8rqeaj",
    "siteId":3385,
    "siteCode":"a3ngxn",
    "siteName":"l7knj6",
    "productCode":"peg7kv",
    "productName":"j8juq0",
    "deviceSrc":3764,
    "lon":"v7ytmx",
    "lati":"l6evpt",
    "leadingOfficial":"kcezz7",
    "leadingOfficialTelephone":"wz314z",
    "deviceStatus":1702,
    "deviceRemark":"t33kvh",
    "source":566,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;deviceId|Long|设备id
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceMac|String|设备的MAC地址
&emsp;&emsp;siteId|Long|站点Id
&emsp;&emsp;siteCode|String|站点编号，来源基础服务平台
&emsp;&emsp;siteName|String|站点名称
&emsp;&emsp;productCode|String|产品编码
&emsp;&emsp;productName|String|产品名称
&emsp;&emsp;deviceSrc|Integer|设备来源(0.子设备，1.网关设备，2.直连设备)
&emsp;&emsp;lon|String|经度
&emsp;&emsp;lati|String|纬度
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;leadingOfficialTelephone|String|联系电话
&emsp;&emsp;deviceStatus|Integer|设备状态 (0.未激活，1.离线,2.在线)
&emsp;&emsp;deviceRemark|String|备注
&emsp;&emsp;source|Integer|设备来源(0.旧设备，1.新设备)
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除设备

**请求URL:** device/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/device/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 字典附录
### deviceSrc
字典参数key|字典参数值|其它
:---|:---|:---
0|子设备|-
1|网关设备|-
2|直连设备|-
### deviceStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|未激活|-
1|离线|-
2|在线|-
### source
字典参数key|字典参数值|其它
:---|:---|:---
0|旧设备|-
1|新设备|-
